<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/half_transparent">

<RelativeLayout
    android:id="@+id/layout_choose_update"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_centerInParent="true">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/box_upgrade_found"
        android:layout_centerHorizontal="true"
        android:textSize="18sp"
        android:textColor="@color/white"
        android:id="@+id/tv_box_upgrade_info"/>

    <Button
        android:id="@+id/btn_update_now"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="12dp"
        android:text="@string/upgrade_now"
        android:gravity="center"
        android:textSize="18sp"
        android:textColor="@color/white"
        android:background="@drawable/print_rounded_rect_bg"
        android:layout_below="@+id/tv_box_upgrade_info"
        />

    <Button
        android:id="@+id/btn_update_later"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:text="@string/upgrade_later"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp"
        android:gravity="center"
        android:textSize="18sp"
        android:textColor="@color/white"
        android:background="@drawable/update_btn_rounded_rect_bg"
        android:layout_below="@+id/btn_update_now"
        />
</RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_box_updating"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:visibility="gone">

        <com.android.views.loadingdrawable.LoadingView
            android:id="@+id/loading_gear_view"
            android:layout_width="180dp"
            android:layout_height="180dp"
            android:layout_centerHorizontal="true"
            app:loading_renderer="GearLoadingRenderer"/>

        <TextView
            android:id="@+id/tv_updating_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="16sp"
            android:text="@string/box_is_upgrading"
            android:layout_below="@id/loading_gear_view"
            android:layout_marginTop="10dp"
            android:layout_centerHorizontal="true"
            android:textColor="@color/white"/>

        <Button
            android:id="@+id/btn_return_work"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_margin="12dp"
            android:text="@string/back_to_work"
            android:gravity="center"
            android:textSize="18sp"
            android:textColor="@color/white"
            android:background="@drawable/print_rounded_rect_bg"
            android:layout_below="@+id/tv_updating_status"
            android:visibility="gone"
            />

    </RelativeLayout>

</RelativeLayout>